### Method

# FwupdPlugin Device get_metadata_integer

#### Declaration [src]

    guint
    fu_device_get_metadata_integer (
      FuDevice* self,
      const gchar* key
    )

#### Description [src]

Gets an item of metadata from the device.

Available since: | 0.9.7

#### Parameters

`key` | `const gchar*`
| The key.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `guint`
| An integer value, or `G_MAXUINT` for unfound or failure to parse.